# PC微信无障碍增强

* 作者： 沉浮 & Eureka
* NVDA 兼容版本： NVDA2021.2 及以上
* 兼容微信版本： 微信 3.8 以上

**注： 使微信支持 NVDA 对象文本查看的思路来源于“NV宝盒”。**

## 增强特性
1. 修复因PC微信无障碍缺陷导致的多处列表项朗读问题，如：
    - @群成员列表。
    - 收藏列表。
    - 消息转发选择联系人列表；
    - 聊天文件列表。
2. 公众号文章留言的朗读支持（需按 NVDA+大键盘8 “打开焦点自动跳转到可聚焦元素”）。
3. Alt+左方向键： 小程序网页内后退到上一页。
4. Ctrl+W： 退出小程序。
5. F3键： 开启/关闭自动朗读新消息（默认关闭）。
6. 消息列表内浏览非普通文本消息时增加音效提示。
7. 支持使用 NVDA 的对象文本查看浏览微信的控件信息。
8. 针对群成员昵称朗读的改进： 开启了“显示群成员昵称”则只读群成员昵称，关闭该选项则只读微信昵称。
9. 微信内置网页文档控件支持自动获取焦点，例如，当微信订阅号文章阅读窗口重新聚焦时，网页文档控件会被设置为系统焦点。
    - F6键： 手动定位到网页文档控件。
10. 使用上下方向键切换平铺会话窗口时，可及时读出当前的会话标题。
11. 微信 3.8 版本中新增了图片提取文字功能，当在微信中打开包含文字的图片时会自动提取文字并读出结果。
